Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.examples.nurserostering.persistence
Class NurseRosteringSolutionExporter

    java.lang.Object
      org.optaplanner.examples.common.app.LoggingMain
          org.optaplanner.examples.common.persistence.AbstractSolutionExporter
              org.optaplanner.examples.common.persistence.AbstractXmlSolutionExporter
                  org.optaplanner.examples.nurserostering.persistence.NurseRosteringSolutionExporter

    public class NurseRosteringSolutionExporter

extends AbstractXmlSolutionExporter

Nested Class Summary
`class` | `NurseRosteringSolutionExporter.NurseRosteringOutputBuilder`

Nested classes/interfaces inherited from class org.optaplanner.examples.common.persistence.AbstractXmlSolutionExporter
`AbstractXmlSolutionExporter.XmlOutputBuilder`

Field Summary

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractXmlSolutionExporter
`DEFAULT_OUTPUT_FILE_SUFFIX`

Fields inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`solutionDao`

Fields inherited from class org.optaplanner.examples.common.app.LoggingMain
`logger`

Constructor Summary
`NurseRosteringSolutionExporter()`

Method Summary
`AbstractXmlSolutionExporter.XmlOutputBuilder` | `createXmlOutputBuilder()`
`static void` | `main(String[] args)`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractXmlSolutionExporter
`getOutputFileSuffix, writeSolution`

Methods inherited from class org.optaplanner.examples.common.persistence.AbstractSolutionExporter
`convertAll, getInputDir, getInputFileSuffix, getOutputDir`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NurseRosteringSolutionExporter

    public NurseRosteringSolutionExporter()

Method Detail

### main

    public static void main(String[] args)

### createXmlOutputBuilder

    public AbstractXmlSolutionExporter.XmlOutputBuilder createXmlOutputBuilder()

  Specified by:
    `createXmlOutputBuilder` in class `AbstractXmlSolutionExporter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.